跳转到主要内容
GET
/
v2
/
dexpools
/
{chain}
/
{poolAddress}
DEX 池子 - 详情
curl --request GET \
  --url https://api.chainstream.io/v2/dexpools/{chain}/{poolAddress} \
  --header 'Authorization: Bearer <token>'
{
  "chain": "sol",
  "createdBlockTimestamp": "2024-01-15T10:30:00.000Z",
  "feeRate": "0.003",
  "image": "https://ipfs.io/ipfs/bafkreid7667676767676767676767676767676767676767676767676767676767676767",
  "liquidityModel": 1,
  "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
  "programAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
  "protocolFamily": "OrcaWhirpool",
  "protocolName": "OrcaWhirpool AMM V2",
  "tickSpacing": 64,
  "tokenAAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "tokenALiquidity": {
    "amountInNative": "5000.123",
    "amountInUsd": "1000000.45",
    "decimals": 6,
    "priceNative": "0.005",
    "priceUsd": "1.0001",
    "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "vaultAmount": "1000000000000"
  },
  "tokenBAddress": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
  "tokenBLiquidity": {
    "amountInNative": "5000.123",
    "amountInUsd": "1000000.45",
    "decimals": 6,
    "priceNative": "0.005",
    "priceUsd": "1.0001",
    "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "vaultAmount": "1000000000000"
  },
  "tokenCount": 2,
  "tvlInSol": "1000000.45",
  "tvlInUsd": "1000000.45",
  "type": 1,
  "version": 2
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络列表中的链名称 支持的区块链

可用选项:
sol,
eth,
bsc
poolAddress
string
必填

池子地址

响应

200 - application/json

成功响应

DEX 池详情

chain
string
必填

链标识符

poolAddress
string
必填

池地址

tokenAAddress
string
必填

Token A 地址

tokenBAddress
string
必填

Token B 地址

createdBlockTimestamp
string | null

创建区块时间戳

feeRate
string | null

费率

image
string | null

图片 URL

liquidityModel
integer<int32> | null

流动性模型

必填范围: x >= 0
programAddress
string | null

DEX 程序地址

protocolFamily
string | null

协议家族

protocolName
string | null

协议名称

tickSpacing
integer<int64> | null

Tick 间距

tokenALiquidity
object

Token A 流动性

tokenBLiquidity
object

Token B 流动性

tokenCount
integer<int32> | null

代币数量

tvlInSol
string | null

TVL(原生代币)

tvlInUsd
string | null

TVL(USD)

type
integer<int32> | null

池类型

必填范围: x >= 0
version
integer<int32> | null

池版本

必填范围: x >= 0